# $Id: mkdef.rb,v 1.3 2006/12/31 11:58:22 jeremy_henty Exp $

# Create rubyfltk.def.

EXPORT_SYMS = []

Dir.glob("*.{h,cc}"){|file|
  File.open(file){|f|
    f.each_line{|line|
      if( line =~ /RBFL_EXPORT\(([\w\d_]+)\)/ )
	if( line[0] != ?# )
	  EXPORT_SYMS.push($1)
	end
      end
    }
  }
}

EXPORT_SYMS.uniq!
EXPORT_SYMS.sort!

File.open("rubyfltk.def","w"){|f|
  f.print("EXPORTS\n")
  EXPORT_SYMS.each{|sym|
    f.print(sym, "\n")
  }
}
