# $Id: flrb.rb,v 1.10 2006/12/31 11:58:23 jeremy_henty Exp $

require 'fltk'

input = output = nil # will set these later 
FLTK::Window.new(400,200,'Evaluate Ruby'){|win|
  FLTK::Pack.new(win.w,win.h){|pack0|
    pack0.pack_type(FLTK::VERTICAL)
    input  = FLTK::MultilineInput.new(0,170)
    FLTK::Pack.new(0,30){|pack1|
      pack1.pack_type(FLTK::HORIZONTAL)
      FLTK::Button.new(50,0,'Result'){
        value = begin Kernel.instance_eval(input.value).inspect
                rescue Exception => e : e.inspect
                end
        output.label(value)
      }
      output = FLTK::Box.new(350,0)
      output.box(FLTK::DOWN_BOX)
    }
  }
  win.show
}

FLTK.focus(input)

FLTK.run
