# $Id: handler.rb,v 1.9 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'

class MyWindow < FLTK::Window
  def handle(e)
    # can't catch any event.
    return false
  end
end

MyWindow.new(300,200, "Add Handler"){|win|
  @box = FLTK::Box.new(0,170,300,30)
  @box.box(FLTK::DOWN_BOX)
  win.callback("some data"){|win, data|
    FLTK.message("callback: %s",data.inspect)
    exit
  }
  win.show
}

FLTK.add_handler{|e|
  @box.label = "event: #{e}"
  true
}

FLTK.run
