# $Id: rgb.rb,v 1.2 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'

FLTK::Window.new(320,340,"RGB colors"){|win|
  16.times{|ii|
    box = FLTK::Box.new(ii*20,0,20,20)
    box.box(FLTK::FLAT_BOX)
    box.color(FLTK.rgb_color(ii*16))
  }
  nn = 0
  16.times{|jj|
    16.times{|ii|
      box = FLTK::Box.new(ii*20,20+jj*20,20,20) 
      box.box(FLTK::FLAT_BOX)
      rgb = (0...3).collect{|mm|
        128+127*Math.cos(2*Math::PI*(nn/256.0+mm/3.0))
      }
      box.color(FLTK.rgb_color(*rgb))
      nn += 1
    }
  }
  win.show
}

FLTK.run
