# $Id: tabs.rb,v 1.6 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'

def display(_message)
  @message.label(_message)
end

FLTK::Window.new(400,230,"Tabs"){|win|
  $tab = FLTK::Tabs.new(400,200,"Tabs"){|tab|
    FLTK::Group.new(0,20,400,180,"Widget1"){
      FLTK::Button.new(30,30,50,20,"Push!"){ display("Hello!\n") }
    }
    FLTK::Group.new(0,20,400,180,"Widget2"){
      entry = FLTK::Input.new(50,30,100,20,"Entry:")
      FLTK::Button.new(150,30,50,20,"Display"){ display(entry.value) }
    }
    win.resizable(tab)
  }
  @message = FLTK::Box.new(0,200,400,30)
  win.show
}

$tab.callback{|w,data|
  display("#{$tab.value} is selected")
}

FLTK.run
