/* -*- C++ -*-
 * $Id: flspinner.cc,v 1.4 2007/01/09 00:43:17 jeremy_henty Exp $
 */

#include "fltk.h"
#include "flspinner.h"
#include "flcolor.h"

#if defined(HAVE_FL_FL_SPINNER_H)

VALUE rb_cFLSpinner;

static FN_S_NEW(Spinner);
WIDGET_FNS(Spinner);

static FN_GETSET_DBL(Spinner,minimum);
static FN_GETSET_DBL(Spinner,maximum);
static FN_SET_DBL2(Spinner,range);
static FN_GETSET_DBL(Spinner,step);
static FN_GETSET_COLOR(Spinner,textcolor);
static FN_GETSET_ENUM(Spinner, Fl_Font, textfont);
static FN_GETSET_INT(Spinner,textsize);
static FN_GETSET_INT(Spinner,type); 
static FN_GETSET_DBL(Spinner,value);

extern "C" void
Init_flspinner(){
  rb_cFLSpinner = rb_define_class_under(rb_mFLTK, "Spinner", rb_cFLGroup);
  DEF_S_METHOD(Spinner,new,-1);
  DEF_WIDGET_METHODS(Spinner);
  DEF_METHOD_EQ(Spinner,minimum,-1);
  DEF_METHOD_EQ(Spinner,maximum,-1);
  DEF_METHOD(Spinner,range,2);
  DEF_METHOD_EQ(Spinner,step,-1);
  DEF_METHOD_EQ(Spinner,textcolor,-1); 
  DEF_METHOD_EQ(Spinner,textfont,-1); 
  DEF_METHOD_EQ(Spinner,textsize,-1); 
  DEF_PREFIXED_METHOD_EQ(Spinner, spinner, type, -1); 
  DEF_METHOD_EQ(Spinner,value,-1); 
};

#endif
