/* -*- C++ -*-
 * $Id: fltabs.cc,v 1.7 2002/05/31 16:11:18 ttate Exp $
 */

#include "fltk.h"
#include "fltabs.h"

VALUE rb_cFLTabs;

static FN_S_NEW(Tabs);
WIDGET_FNS(Tabs);

static VALUE rb_FLTabs_value(int argc, VALUE argv[], VALUE self)
{
  RBFLTabs *widget = (RBFLTabs*)rb_to_fl(self);
  VALUE arg1, retval;

  switch( rb_scan_args(argc, argv, "01", &arg1) ){
  case 0:
    retval = fl_to_rb(widget->value());
    break;
  case 1:
    retval = INT2BOOL(widget->value(rb_to_fl(arg1)));
    break;
  };

  return retval;
};

extern "C" void
Init_fltabs(){
  rb_cFLTabs = rb_define_class_under(rb_mFLTK, "Tabs", rb_cFLGroup);
  DEF_S_METHOD(Tabs,new,-1);
  DEF_WIDGET_METHODS(Tabs);
  DEF_METHOD_EQ(Tabs,value,-1);
};
