# $Id: browser_format.rb,v 1.4 2006/12/31 11:58:23 jeremy_henty Exp $

require 'fltk'

if FLTK.use_color_classes?
  red   = FLTK::RED.index
  green = FLTK::GREEN.index
  blue  = FLTK::BLUE.index
else
  red   = FLTK::RED
  green = FLTK::GREEN
  blue  = FLTK::BLUE
end

FLTK::Window.new(400,200,'Browser column formatting'){|win|
  browser = FLTK::Browser.new(0,0,400,200)
  browser.add("@C#{red}red\t@ssmall\t@bbold\tleft")
  browser.add("@C#{green}green\t@mmedium\t@iitalic\t@ccenter")
  browser.add("@C#{blue}blue\t@llarge\t@ffixed\t@rright")
  browser.add("@B#{red}red\t@S15@.15 point\tplain\tleft")
  browser.add("@B#{green}green\t@S20@.20 point\t@_underline\t@ccenter")
  browser.add("@B#{blue}blue\t@S30@.30 point\t@-strike\t@rright")
  browser.column_widths([50,150,75,125])
  win.show
}

FLTK.run
