# $Id: widget_methods.rb,v 1.4 2006/12/31 11:58:24 jeremy_henty Exp $

require 'fltk'

class MyWidget < FLTK::Widget
  def draw
    FLTK.color(FLTK::BLUE) ; rectf
    FLTK.color(FLTK::RED)  ; rect
    FLTK.color(FLTK::BLACK) 
    FLTK.font(FLTK::HELVETICA,15)
    push_clip{
      15.times{|j|
        4.times{|i|
          FLTK.draw("clipped",(x-10)+i*60,(y+5)+j*20)
        }
      }
    }
  end
end

FLTK::Window.new(400,400,"Widget Methods"){|win|
  widget = MyWidget.new(100,100,200,200)
  win.resizable(widget)
  win.size_range(1,1,0,0)
  win.show
}

FLTK.run
